Package uk.ac.starlink.topcat.contrib.gavo

## Class GavoSampleQuery

- java.lang.Object
- - uk.ac.starlink.topcat.contrib.gavo.GavoSampleQuery

-     public class GavoSampleQuery
      extends java.lang.Object

  Encapsulates example queries used by the GAVO loader.
  Since:
    8 Jun 2007
  Author:
    Mark Taylor, Gerard Lemson

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static GavoSampleQuery[]` | `GAL_SAMPLES` | List of sample queries, mainly galaxies.
    `static GavoSampleQuery[]` | `HALO_SAMPLES` | List of sample queries, mainly halos.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GavoSampleQuery​(java.lang.String name, java.lang.String[] descriptionLines, java.lang.String[] textLines)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDescription()` | Returns query description.
    `java.lang.String` | `getName()` | Returns query ID.
    `java.lang.String` | `getText()` | Returns SQL text for query.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HALO_SAMPLES

          public static final GavoSampleQuery[] HALO_SAMPLES

      List of sample queries, mainly halos.

    - #### GAL_SAMPLES

          public static final GavoSampleQuery[] GAL_SAMPLES

      List of sample queries, mainly galaxies.

  - ### Constructor Detail

    - #### GavoSampleQuery

          public GavoSampleQuery​(java.lang.String name,
                                 java.lang.String[] descriptionLines,
                                 java.lang.String[] textLines)

      Constructor.
      Parameters:
        `name` - query ID
        `descriptionLines` - lines for short description (tooltip)
        `textLines` - lines for SQL query text

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns query ID.
      Returns:
        name

    - #### getDescription

          public java.lang.String getDescription()

      Returns query description.
      Returns:
        description

    - #### getText

          public java.lang.String getText()

      Returns SQL text for query.
      Returns:
        text

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.